{ pkgs, ... }: {
  imports = [
    ./hardware-configuration.nix
    ../../client.nix

    ../../features/xfce.nix
    ../../features/tailscale.nix
    ../../features/sound
    ../../features/nvidia.nix
    ../../features/steam.nix
  ];

  home-manager.users.noe = import ../../../home-manager/noe/hosts/aerial.nix;
  
  # TODO: ??? X11 is angry
  #environment.etc."X11/xorg.conf" = {
  #  source = ./xorg.conf;
  #};

  networking.hostName = "aerial";
  system.stateVersion = "24.05";

  fileSystems."/mnt/wumbo" = {
    device = "/dev/disk/by-uuid/804c5fa2-cf78-4c18-a956-a5b60ea33619";
    fsType = "ext4";
  };

  networking.firewall.allowedTCPPorts = [ 42069 ];
  networking.firewall.allowedUDPPorts = [ 42069 ];

  networking.nameservers = [ "1.1.1.1#one.one.one.one" "1.0.0.1#one.one.one.one" ];
  services.resolved = {
    enable = true;
    dnssec = "true";
    domains = [ "~." ];
    fallbackDns = [ "1.1.1.1#one.one.one.one" "1.0.0.1#one.one.one.one" ];
    extraConfig = ''
      DNSOverTLS=yes
    '';
  };

}
